Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888939 - Should install nova.bash_completion
Summary: Should install nova.bash_completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novaclient
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: snapshot3
: 2.1
Assignee: Alan Pevec
QA Contact: Yaniv Kaul
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 20:24 UTC by Russell Bryant
Modified: 2019-09-10 14:09 UTC (History)
3 users (show)

Fixed In Version: python-novaclient-2.10.0-3.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-05 18:30:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
avoid dependecy on bash-completion (2.02 KB, patch)
2013-02-10 23:42 UTC, Alan Pevec
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0593 0 normal SHIPPED_LIVE Red Hat OpenStack 2.0 (Folsom) Preview bug fix and enhancement update 2013-03-05 23:28:55 UTC

Description Russell Bryant 2012-12-19 20:24:53 UTC
Description of problem:

python-novaclient includes support for bash completion.  The file tools/nova.bash_completion should be installed to /etc/bash_completion.d/.


Version-Release number of selected component (if applicable):

python-novaclient-2.10.0-1.el6ost.noarch

Comment 2 Alan Pevec 2012-12-21 20:38:51 UTC
Fedora bug 872544

Comment 8 Alan Pevec 2013-02-10 23:40:47 UTC
bash-completion RPM is not in RHEL (it's in EPEL) so completion files in /etc/bash_completion.d/ are not sourced automatically, so moving completion for novaclient to /etc/profile.d/

Comment 9 Alan Pevec 2013-02-10 23:42:57 UTC
Created attachment 695946 [details]
avoid dependecy on bash-completion

Comment 11 Kashyap Chamarthy 2013-02-15 09:24:31 UTC
VERIFIED.


Version info:
#-------------------------------------------------------#
[tuser1@interceptor ~]$ arch ; cat /etc/redhat-release ; rpm -q python-novaclient
x86_64
Red Hat Enterprise Linux Server release 6.4 (Santiago)
python-novaclient-2.10.0-4.el6ost.noarch
[tuser1@interceptor ~]$ 
#-------------------------------------------------------#

Verification info:
#-------------------------------------------------------#
[root@interceptor ~]# su - tuser1
[tuser1@interceptor ~]$
#-------------------------------------------------------#
[tuser1@interceptor ~]$ rpm -qf /etc/profile.d/nova.sh 
python-novaclient-2.10.0-4.el6ost.noarch
#-------------------------------------------------------#
[tuser1@interceptor ~]$ nova li<TAB>
list             list-extensions  live-migration   
[tuser1@interceptor ~]$ nova li
#-------------------------------------------------------#

Comment 13 errata-xmlrpc 2013-03-05 18:30:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0593.html


Note You need to log in before you can comment on or make changes to this bug.